%define name enigma-freeoxyd
%define version 0.70
%define release 1mdk

Summary: Enigma is a puzzle game similar to Oxyd
Name: %name
Version: %version
Release: %release
Source0: enigma-%{version}.tar.bz2
Patch0:  enigma-missing-includes.patch.bz2
License: GPL
Group: Games/Boards
URL: http://www.nongnu.org/enigma/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: liblua5-devel
BuildRequires: libSDL1.2-devel
BuildRequires: libSDL_image1.2-devel
BuildRequires: libSDL_mixer1.2-devel
BuildRequires: libSDL_ttf2.0-devel

%description
Enigma is a tribute to and a re-implementation of one of the most
original and intriguing computer games of the 1990's: Oxyd.  Your
objective is easily explained: find and uncover all pairs of identical
Oxyd stones in each landscape.  Sounds simple?  It would be, if it
weren't for hidden traps, vast mazes, insurmountable obstacles and
innumerable puzzles blocking your direct way to the Oxyd stones...

%prep
%setup -q -n enigma-%{version}

%patch0 -p1

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_bindir

#%makeinstall_std transform=""

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/enigma" \
	needs="x11" \
	section="Amusement/Boards" \
	title="Enigma" \
	icon="boards_section.png" \
	longtitle="Enigma is a puzzle game similar to Oxyd" \
	startup_notify="false"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README 
%{_bindir}/*
%{_datadir}/enigma
%{_mandir}/man6/*
%{_menudir}/*

%changelog
* Mon Aug 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.70-1mdk
- new...hum...not really, replace the enigma package
- patch0: fix some missing includes
